NAME Blue Giant
TYPE O8III
GFX1 stars/s_stars1.jpg 13
GFXP stars/l_stars.jpg 7
CLAS bluegt
TEXT Bright blue giant stars are incredibly hot. Any planets in orbit are most likely to be desolate and lifeless.